import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_charts/charts.dart';
import 'package:syncfusion_flutter_core/core.dart';

void main() {
  // Register your license here
  SyncfusionLicense.registerLicense(null);
  return runApp(ChartApp());
}

class ChartApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Chart Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key}) : super(key: key);

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Syncfusion Flutter chart'),
        ),
        body: Center(
          child: Container(
            width: 350,
            child: Container(
              height: 400,
              child: SfCartesianChart(
                  primaryXAxis: CategoryAxis(
                    majorGridLines: MajorGridLines(width: 0),
                    axisLine: AxisLine(width: 0),
                  ),
                  primaryYAxis: NumericAxis(
                      majorGridLines: MajorGridLines(width: 0),
                      axisLine: AxisLine(width: 0)),
                  annotations: <CartesianChartAnnotation>[
                    CartesianChartAnnotation(
                        widget: Container(
                            child: const Text('Annotation',
                                style: TextStyle(fontSize: 18))),
                        coordinateUnit: CoordinateUnit.point,
                        region: AnnotationRegion.plotArea,
                        x: 'Fri',
                        y: 28),
                  ],
                  series: <ChartSeries<SalesData, String>>[
                    AreaSeries<SalesData, String>(
                        dataSource: <SalesData>[
                          SalesData('Sun', 0),
                          SalesData('Mon', 28),
                          SalesData('Tue', 24),
                          SalesData('Wed', 10),
                          SalesData('Thu', 0),
                          SalesData('Fri', 0),
                          SalesData('Sat', 0)
                        ],
                        xValueMapper: (SalesData sales, _) => sales.day,
                        yValueMapper: (SalesData sales, _) => sales.sales)
                  ]),
            ),
          ),
        ));
  }
}

class SalesData {
  SalesData(this.day, this.sales);

  final String day;
  final double sales;
}
